//+------------------------------------------------------------------+
//|                                                  IND Inverse.mq4 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, ..."
#property link      "http://www.forex-tsd.com/"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Maroon

double Buffer[];
double Buffer0[];

extern int iPeriod = 1;
extern int cbars   = 1000;

int init(){
    IndicatorBuffers(2);
    IndicatorDigits(Digits+2);
    SetIndexStyle(0,DRAW_LINE);
    SetIndexEmptyValue(0,0);
    
    SetIndexBuffer(0,Buffer);
    SetIndexBuffer(1,Buffer0);
//----
    return(0);
}

int start(){
   int limit = cbars;
   if(limit==0) limit=Bars-65;
   for(int i=limit; i>=0; i--){
      double HD = High[Highest(NULL,0,MODE_HIGH,(iPeriod* 20),i)];
      double LD = Low[Lowest(NULL,0,MODE_LOW,(iPeriod* 20),i)];
      double amplitude = HD - LD;                
      Buffer0[i]= ((Close[i]-(HD-(amplitude/2)))/amplitude) * iPeriod;
      
      Buffer[i]= 
         0.0982862174*Buffer0[i+0] 
         +0.0975682269*Buffer0[i+1] 
         +0.0961401078*Buffer0[i+2] 
         +0.0940230544*Buffer0[i+3] 
         +0.0912437090*Buffer0[i+4] 
         +0.0878391006*Buffer0[i+5] 
         +0.0838544303*Buffer0[i+6] 
         +0.0793406350*Buffer0[i+7] 
         +0.0743569346*Buffer0[i+8] 
         +0.0689666682*Buffer0[i+9] 
         +0.0632381578*Buffer0[i+10] 
         +0.0572428925*Buffer0[i+11] 
         +0.0510534242*Buffer0[i+12] 
         +0.0447468229*Buffer0[i+13] 
         +0.0383959950*Buffer0[i+14] 
         +0.0320735368*Buffer0[i+15] 
         +0.0258537721*Buffer0[i+16] 
         +0.0198005183*Buffer0[i+17] 
         +0.0139807863*Buffer0[i+18] 
         +0.0084512448*Buffer0[i+19] 
         +0.0032639979*Buffer0[i+20] 
         -0.0015350359*Buffer0[i+21] 
         -0.0059060082*Buffer0[i+22] 
         -0.0098190256*Buffer0[i+23] 
         -0.0132507215*Buffer0[i+24] 
         -0.0161875265*Buffer0[i+25] 
         -0.0186164872*Buffer0[i+26] 
         -0.0205446727*Buffer0[i+27] 
         -0.0219739146*Buffer0[i+28] 
         -0.0229204861*Buffer0[i+29] 
         -0.0234080863*Buffer0[i+30] 
         -0.0234566315*Buffer0[i+31] 
         -0.0231017777*Buffer0[i+32] 
         -0.0223796900*Buffer0[i+33] 
         -0.0213300463*Buffer0[i+34] 
         -0.0199924534*Buffer0[i+35] 
         -0.0184126992*Buffer0[i+36] 
         -0.0166377699*Buffer0[i+37] 
         -0.0147139428*Buffer0[i+38] 
         -0.0126796776*Buffer0[i+39] 
         -0.0105938331*Buffer0[i+40] 
         -0.0084736770*Buffer0[i+41] 
         -0.0063841850*Buffer0[i+42] 
         -0.0043466731*Buffer0[i+43] 
         -0.0023956944*Buffer0[i+44] 
         -0.0005535180*Buffer0[i+45] 
         +0.0011421469*Buffer0[i+46] 
         +0.0026845693*Buffer0[i+47] 
         +0.0040471369*Buffer0[i+48] 
         +0.0052380201*Buffer0[i+49] 
         +0.0062194591*Buffer0[i+50] 
         +0.0070340085*Buffer0[i+51] 
         +0.0076266453*Buffer0[i+52] 
         +0.0080376628*Buffer0[i+53] 
         +0.0083037666*Buffer0[i+54] 
         +0.0083694798*Buffer0[i+55] 
         +0.0082901022*Buffer0[i+56] 
         +0.0080741359*Buffer0[i+57] 
         +0.0077543820*Buffer0[i+58] 
         +0.0073260526*Buffer0[i+59] 
         +0.0068163569*Buffer0[i+60] 
         +0.0062325477*Buffer0[i+61] 
         +0.0056078229*Buffer0[i+62] 
         +0.0049516078*Buffer0[i+63] 
         +0.0161380976*Buffer0[i+64]; 
      
      }
   return(0);
  }
//+------------------------------------------------------------------+